openSUSE Security Update : MozillaFirefox (openSUSE-2016-223)

Medium Nessus Plugin ID 88828


The remote openSUSE host is missing a security update.


This update for MozillaFirefox fixes the following issues :

- update to Firefox 44.0.2

- MFSA 2016-13/CVE-2016-1949 (bmo#1245724, boo#966438) Same-origin-policy violation using Service Workers with plugins

- Fix issue which could lead to the removal of stored passwords under certain circumstances (bmo#1242176)

- Allows spaces in cookie names (bmo#1244505)

- Disable opus/vorbis audio with H.264 (bmo#1245696)

- Fix for graphics startup crash (GNU/Linux) (bmo#1222171)

- Fix a crash in cache networking (bmo#1244076)

- Fix using WebSockets in service worker controlled pages (bmo#1243942)


Update the affected MozillaFirefox packages.

See Also

Plugin Details

Severity: Medium

ID: 88828

File Name: openSUSE-2016-223.nasl

Version: $Revision: 2.7 $

Type: local

Agent: unix

Published: 2016/02/18

Modified: 2016/10/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P


Base Score: 8.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:MozillaFirefox, p-cpe:/a:novell:opensuse:MozillaFirefox-branding-upstream, p-cpe:/a:novell:opensuse:MozillaFirefox-buildsymbols, p-cpe:/a:novell:opensuse:MozillaFirefox-debuginfo, p-cpe:/a:novell:opensuse:MozillaFirefox-debugsource, p-cpe:/a:novell:opensuse:MozillaFirefox-devel, p-cpe:/a:novell:opensuse:MozillaFirefox-translations-common, p-cpe:/a:novell:opensuse:MozillaFirefox-translations-other, cpe:/o:novell:opensuse:13.2, cpe:/o:novell:opensuse:42.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2016/02/17

Reference Information

CVE: CVE-2016-1949